GMAC_NSC_Type Union Reference

## Data Fields

struct {
uint32_t NANOSEC:21
uint32_t __pad0__:11
} | bit
uint32_t | reg

## Detailed Description

Definition at line 1122 of file gmac.h.

## Field Documentation

## __pad0__

uint32_t GMAC_NSC_Type::__pad0__

bit: 21..31 Reserved

Definition at line 1125 of file gmac.h.

## bit

struct { ... } GMAC_NSC_Type::bit

Structure used for bit access

## NANOSEC

uint32_t GMAC_NSC_Type::NANOSEC

bit: 0..20 1588 Timer Nanosecond comparison value

Definition at line 1124 of file gmac.h.

## reg

uint32_t GMAC_NSC_Type::reg

Type used for register access

Definition at line 1127 of file gmac.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/gmac.h